org.apache.poi.xssf.usermodel.charts

## Class XSSFChartAxis

- java.lang.Object
- - org.apache.poi.xssf.usermodel.charts.XSSFChartAxis

- All Implemented Interfaces:
    ChartAxis
  Direct Known Subclasses:
    XSSFCategoryAxis, XSSFDateAxis, XSSFValueAxis

  Deprecated.
  use `XDDFChartAxis` instead

      @Deprecated
       @Removal(version="4.2")
      public abstract class XSSFChartAxis
      extends java.lang.Object
      implements ChartAxis

  Base class for all axis types.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected XSSFChart` | `chart` Deprecated.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XSSFChartAxis(XSSFChart chart)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AxisCrosses` | `getCrosses()` Deprecated.
    `protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTAxPos` | `getCTAxPos()` Deprecated.
    `protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTCrosses` | `getCTCrosses()` Deprecated.
    `protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTNumFmt` | `getCTNumFmt()` Deprecated.
    `protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTScaling` | `getCTScaling()` Deprecated.
    `protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTBoolean` | `getDelete()` Deprecated.
    `abstract org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties` | `getLine()` Deprecated.
    `double` | `getLogBase()` Deprecated.
    `protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTTickMark` | `getMajorCTTickMark()` Deprecated.
    `abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTChartLines` | `getMajorGridLines()` Deprecated.
    `AxisTickMark` | `getMajorTickMark()` Deprecated.
    `double` | `getMaximum()` Deprecated.
    `double` | `getMinimum()` Deprecated.
    `protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTTickMark` | `getMinorCTTickMark()` Deprecated.
    `AxisTickMark` | `getMinorTickMark()` Deprecated.
    `java.lang.String` | `getNumberFormat()` Deprecated.
    `AxisOrientation` | `getOrientation()` Deprecated.
    `AxisPosition` | `getPosition()` Deprecated.
    `boolean` | `isSetLogBase()` Deprecated.
    `boolean` | `isSetMaximum()` Deprecated.
    `boolean` | `isSetMinimum()` Deprecated.
    `boolean` | `isVisible()` Deprecated.
    `void` | `setCrosses(AxisCrosses crosses)` Deprecated.
    `void` | `setLogBase(double logBase)` Deprecated.
    `void` | `setMajorTickMark(AxisTickMark tickMark)` Deprecated.
    `void` | `setMaximum(double max)` Deprecated.
    `void` | `setMinimum(double min)` Deprecated.
    `void` | `setMinorTickMark(AxisTickMark tickMark)` Deprecated.
    `void` | `setNumberFormat(java.lang.String format)` Deprecated.
    `void` | `setOrientation(AxisOrientation orientation)` Deprecated.
    `void` | `setPosition(AxisPosition position)` Deprecated.
    `void` | `setVisible(boolean value)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.ss.usermodel.charts.ChartAxis

      `crossAxis, getId, hasNumberFormat`

- - ### Field Detail

    - #### chart

          protected XSSFChart chart

      Deprecated.

  - ### Constructor Detail

    - #### XSSFChartAxis

          protected XSSFChartAxis(XSSFChart chart)

      Deprecated.

  - ### Method Detail

    - #### getPosition

          public AxisPosition getPosition()

      Deprecated.
      Specified by:
        `getPosition` in interface `ChartAxis`
      Returns:
        axis position

    - #### setPosition

          public void setPosition(AxisPosition position)

      Deprecated.
      Specified by:
        `setPosition` in interface `ChartAxis`
      Parameters:
        `position` - new axis position

    - #### setNumberFormat

          public void setNumberFormat(java.lang.String format)

      Deprecated.
      Specified by:
        `setNumberFormat` in interface `ChartAxis`
      Parameters:
        `format` - axis number format

    - #### getNumberFormat

          public java.lang.String getNumberFormat()

      Deprecated.
      Specified by:
        `getNumberFormat` in interface `ChartAxis`
      Returns:
        axis number format

    - #### isSetLogBase

          public boolean isSetLogBase()

      Deprecated.
      Specified by:
        `isSetLogBase` in interface `ChartAxis`
      Returns:
        true if log base is defined, false otherwise

    - #### setLogBase

          public void setLogBase(double logBase)

      Deprecated.
      Specified by:
        `setLogBase` in interface `ChartAxis`
      Parameters:
        `logBase` - a number between 2 and 1000 (inclusive)

    - #### getLogBase

          public double getLogBase()

      Deprecated.
      Specified by:
        `getLogBase` in interface `ChartAxis`
      Returns:
        axis log base or 0.0 if not set

    - #### isSetMinimum

          public boolean isSetMinimum()

      Deprecated.
      Specified by:
        `isSetMinimum` in interface `ChartAxis`
      Returns:
        true if minimum value is defined, false otherwise

    - #### setMinimum

          public void setMinimum(double min)

      Deprecated.
      Specified by:
        `setMinimum` in interface `ChartAxis`
      Parameters:
        `min` - axis minimum

    - #### getMinimum

          public double getMinimum()

      Deprecated.
      Specified by:
        `getMinimum` in interface `ChartAxis`
      Returns:
        axis minimum or 0.0 if not set

    - #### isSetMaximum

          public boolean isSetMaximum()

      Deprecated.
      Specified by:
        `isSetMaximum` in interface `ChartAxis`
      Returns:
        true if maximum value is defined, false otherwise

    - #### setMaximum

          public void setMaximum(double max)

      Deprecated.
      Specified by:
        `setMaximum` in interface `ChartAxis`
      Parameters:
        `max` - axis maximum

    - #### getMaximum

          public double getMaximum()

      Deprecated.
      Specified by:
        `getMaximum` in interface `ChartAxis`
      Returns:
        axis maximum or 0.0 if not set

    - #### getOrientation

          public AxisOrientation getOrientation()

      Deprecated.
      Specified by:
        `getOrientation` in interface `ChartAxis`
      Returns:
        axis orientation

    - #### setOrientation

          public void setOrientation(AxisOrientation orientation)

      Deprecated.
      Specified by:
        `setOrientation` in interface `ChartAxis`
      Parameters:
        `orientation` - axis orientation

    - #### getCrosses

          public AxisCrosses getCrosses()

      Deprecated.
      Specified by:
        `getCrosses` in interface `ChartAxis`
      Returns:
        axis cross type

    - #### setCrosses

          public void setCrosses(AxisCrosses crosses)

      Deprecated.
      Specified by:
        `setCrosses` in interface `ChartAxis`
      Parameters:
        `crosses` - axis cross type

    - #### isVisible

          public boolean isVisible()

      Deprecated.
      Specified by:
        `isVisible` in interface `ChartAxis`
      Returns:
        visibility of the axis.

    - #### setVisible

          public void setVisible(boolean value)

      Deprecated.
      Specified by:
        `setVisible` in interface `ChartAxis`
      Parameters:
        `value` - visibility of the axis.

    - #### getMajorTickMark

          public AxisTickMark getMajorTickMark()

      Deprecated.
      Specified by:
        `getMajorTickMark` in interface `ChartAxis`
      Returns:
        major tick mark.

    - #### setMajorTickMark

          public void setMajorTickMark(AxisTickMark tickMark)

      Deprecated.
      Specified by:
        `setMajorTickMark` in interface `ChartAxis`
      Parameters:
        `tickMark` - major tick mark type.

    - #### getMinorTickMark

          public AxisTickMark getMinorTickMark()

      Deprecated.
      Specified by:
        `getMinorTickMark` in interface `ChartAxis`
      Returns:
        minor tick mark.

    - #### setMinorTickMark

          public void setMinorTickMark(AxisTickMark tickMark)

      Deprecated.
      Specified by:
        `setMinorTickMark` in interface `ChartAxis`
      Parameters:
        `tickMark` - minor tick mark type.

    - #### getCTAxPos

          protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTAxPos getCTAxPos()

      Deprecated.

    - #### getCTNumFmt

          protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTNumFmt getCTNumFmt()

      Deprecated.

    - #### getCTScaling

          protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTScaling getCTScaling()

      Deprecated.

    - #### getCTCrosses

          protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTCrosses getCTCrosses()

      Deprecated.

    - #### getDelete

          protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTBoolean getDelete()

      Deprecated.

    - #### getMajorCTTickMark

          protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTTickMark getMajorCTTickMark()

      Deprecated.

    - #### getMinorCTTickMark

          protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTTickMark getMinorCTTickMark()

      Deprecated.

    - #### getMajorGridLines

          @Internal
          public abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTChartLines getMajorGridLines()

      Deprecated.

    - #### getLine

          @Internal
          public abstract org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties getLine()

      Deprecated.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.